import { HttpClient } from '@angular/common/http';
import { DotnetApp, DotnetPreferences } from './ngx-dotnet.models';
export declare class NgxDotnetService {
    private httpClient;
    constructor(httpClient: HttpClient);
    getApplicationAsync<IDotnetAppMethods>(preferences: DotnetPreferences): Promise<DotnetApp<IDotnetAppMethods>>;
    private initDependenciesAsync;
    private actualizeDependenciesByDeclarationsAsync;
    private getDependencyDeclarationsAsync;
    private bootstrapMonoRuntimeAsync;
}
